@font-face {
  font-family: customFont;
  src: url("/xx00-website/fonts/Gothard-Medium.woff");
  /* ascent-override: 60%;
  descent-override: 10%; */
  font-weight: normal;
  font-style: normal;
}

* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 24px;
  font-family: customFont, Arial, sans-serif;
  height: 100vh;
  max-height: 100vh;
  box-sizing: border-box;
  display: flex;
  gap: 24px;

  /* overflow: hidden; */
}

.dark {
  background-color: #0a0d10;
  color: #e6e6e6;
}

.light {
  background-color: #e6e6e6;
  color: #0a0d10;
}

nav {
  display: flex;
  flex-direction: column;
  /* height: calc(100vh - 48px); */
  justify-content: space-between;
  margin: 0;
  position: relative;
  font-family: customFont, Arial, sans-serif;
}

nav a {
  text-decoration: none;
  color: blue;

  display: flex;
  gap: 8px;
  /* height: 120px; */
  align-items: center;
}

h2 {
  color: blue;
  /* color: #334eff; */

  font-size: 9rem;
  /* font-weight: 500; */
  font-weight: bold;
  margin: 0;
  line-height: 0.8;
}

body.page-index h2,
body.page-00xx h2 {
  color: #0000ff;
}

body.page-xx00 h2 {
  color: #00ffff;
}

body.page-x0x0 h2 {
  color: #ff00ff;
}

body.page-x00x h2 {
  color: #ffff00;
}

body.page-0xx0 h2 {
  color: #ff0000;
}

body.page-0x0x h2 {
  color: #00ff00;
}

p {
  /* color: blue; */
  /* color: #334eff; */

  font-size: 1.5rem;
  margin: 0;
  /* line-height: 1.75; */
  /* position: absolute; */
  font-weight: 500;
  /* left:358px; */
  padding-top: 8px;
}

nav p {
  font-size: 1.5rem;
  margin: 0;
  display: none;
  opacity: 0;
  transition: opacity 0.2s ease;
  align-self: flex-start;
  position: absolute;
  left: 358px;
  z-index: 2;
  width: calc(100vw - 400px);
  padding-top: 4px;

  /* line-height: 2.5; */
}

nav a.selected p {
  display: block;
  opacity: 1;
}

nav:hover a.selected p {
  opacity: 0;
}

nav:hover a:hover p {
  display: block;
  opacity: 1;
}

.light nav a.selected h2,
.light nav a.selected p,
.light nav a:hover h2,
.light nav a:hover p {
  color: black;
}

.dark nav a.selected h2,
.dark nav a.selected p,
.dark nav a:hover h2,
.dark nav a:hover p,
.dark h3 {
  color: white;
}

img {
  height: 100%;
}

.bg-image,
.bg-image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  z-index: -1;
}

.bg-image img {
  opacity: 0.3;
}

.about main {
  flex-direction: column;
  justify-content: flex-end;
}

.about-text {
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.about-text p {
  font-size: 1.5rem;
  line-height: 1.2;
  /* font-weight: 500; */
  max-width: 700px;
  margin: 0;
}

.intro main {
  justify-content: space-between;
}

.credits {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

main {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: calc(100vw - 410px);
}

main img {
  align-self: flex-start;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.img-grid {
  display: grid;
  grid-template-columns: repeat(2, 50%);
  grid-template-rows: repeat(2, 50%);
  height: 100%;
}

.img-grid img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (max-width: 800px) {
  body {
    flex-direction: column-reverse;
    padding: 16px;
    position: relative;
  }

  nav {
    /* height: 30%; */
    flex-direction: row;
    flex-wrap: wrap;
  }

  nav a h2 {
    font-size: 6rem;
  }

  main {
    width: 100%;
    overflow: auto;
  }

  nav p {
    top: 16px;
    left: 16px;
    position: fixed;
    width: calc(100vw - 32px);
  }

  .about-text {
    height: 100%;
  }

  .about-text p {
    font-size: 1.2rem;
  }
}

@media (max-width: 500px) {
  nav a h2 {
    font-size: 5rem;
  }
}

@media (max-width: 423px) {
  nav a h2 {
    font-size: 4.2rem;
  }
}
